Debian Bug report logs - #496011
iceweasel: notifications obscure panel with no way to close them

version graph

Package: iceweasel; Maintainer for iceweasel is Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>; Source for iceweasel is src:iceweasel.

Reported by: "brian m. carlson" <sandals@crustytoothpaste.net>

Date: Fri, 22 Aug 2008 01:48:02 UTC

Severity: wishlist

Tags: confirmed, upstream, wontfix

Found in version iceweasel/3.0.1-1

Done: Sylvestre Ledru <sylvestre@mozilla.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#496011; Package iceweasel. Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
New Bug report received and forwarded. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: iceweasel: notifications obscure panel with no way to close them
Date: Fri, 22 Aug 2008 01:45:37 +0000
[Message part 1 (text/plain, inline)]
Package: iceweasel
Version: 3.0.1-1
Severity: normal

When Iceweasel finishes downloading a file, it pops up a notification in
the lower right-hand corner of the screen informing me of that.
However, this obscures parts of the panel in GNOME, and there is no way
to get rid of the notification.  Clicking on it does nothing, unlike
most other GNOME notifications.  I have to wait until it goes away in
order to be able to access the hidden parts of the panel.

Either Iceweasel should close the notification when it is clicked or
simply not display notifications at all.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages iceweasel depends on:
ii  debianutils                   2.30       Miscellaneous utilities specific t
ii  fontconfig                    2.6.0-1    generic font configuration library
ii  libc6                         2.7-13     GNU C Library: Shared libraries
ii  libglib2.0-0                  2.16.5-1   The GLib library of C routines
ii  libgtk2.0-0                   2.12.11-3  The GTK+ graphical user interface 
ii  libnspr4-0d                   4.7.1-3    NetScape Portable Runtime Library
ii  libstdc++6                    4.3.1-9    The GNU Standard C++ Library v3
ii  procps                        1:3.2.7-9  /proc file system utilities
ii  psmisc                        22.6-1     Utilities that use the proc filesy
ii  xulrunner-1.9                 1.9.0.1-1  XUL + XPCOM application runner

iceweasel recommends no packages.

Versions of packages iceweasel suggests:
ii  latex-xft-fonts       0.1-8              Xft-compatible versions of some La
ii  libkrb53              1.6.dfsg.4~beta1-3 MIT Kerberos runtime libraries
pn  mozplugger            <none>             (no description available)
pn  ttf-mathematica4.1    <none>             (no description available)
pn  xfonts-mathml         <none>             (no description available)
pn  xprint                <none>             (no description available)
ii  xulrunner-1.9-gnome-s 1.9.0.1-1          Support for GNOME in xulrunner app

-- no debconf information

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 713 440 7475 | http://crustytoothpaste.ath.cx/~bmc | My opinion only
troff on top of XML: http://crustytoothpaste.ath.cx/~bmc/code/thwack
OpenPGP: RSA v4 4096b 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#496011; Package iceweasel. Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #10 received at 496011@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>, 496011@bugs.debian.org
Subject: Re: Bug#496011: iceweasel: notifications obscure panel with no way to close them
Date: Fri, 22 Aug 2008 07:21:22 +0200
On Fri, Aug 22, 2008 at 01:45:37AM +0000, brian m. carlson wrote:
> Package: iceweasel
> Version: 3.0.1-1
> Severity: normal
>
> When Iceweasel finishes downloading a file, it pops up a notification in
> the lower right-hand corner of the screen informing me of that.
> However, this obscures parts of the panel in GNOME, and there is no way
> to get rid of the notification.  Clicking on it does nothing, unlike
> most other GNOME notifications.  I have to wait until it goes away in
> order to be able to access the hidden parts of the panel.
>
> Either Iceweasel should close the notification when it is clicked or
> simply not display notifications at all.

Set browser.download.manager.showAlertOnComplete to false.

Mike




Added tag(s) upstream, confirmed, and wontfix. Request was from Mike Hommey <glandium@debian.org> to control@bugs.debian.org. (Tue, 22 Dec 2009 13:45:06 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'normal' Request was from Mike Hommey <glandium@debian.org> to control@bugs.debian.org. (Tue, 22 Dec 2009 13:45:06 GMT) Full text and rfc822 format available.

Changed Bug submitter to '"brian m. carlson" <sandals@crustytoothpaste.net>' from '"brian m. carlson" <sandals@crustytoothpaste.ath.cx>' Request was from "brian m. carlson" <sandals@crustytoothpaste.net> to control@bugs.debian.org. (Thu, 03 Feb 2011 20:51:32 GMT) Full text and rfc822 format available.

Reply sent to Sylvestre Ledru <sylvestre@mozilla.com>:
You have taken responsibility. (Mon, 24 Feb 2014 11:04:13 GMT) Full text and rfc822 format available.

Notification sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
Bug acknowledged by developer. (Mon, 24 Feb 2014 11:04:13 GMT) Full text and rfc822 format available.

Message #21 received at 496011-done@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre@mozilla.com>
To: 223271-done@bugs.debian.org, 248209-done@bugs.debian.org, 310779-done@bugs.debian.org, 321701-done@bugs.debian.org, 366639-done@bugs.debian.org, 392029-done@bugs.debian.org, 398166-done@bugs.debian.org, 400315-done@bugs.debian.org, 408165-done@bugs.debian.org, 408417-done@bugs.debian.org, 411737-done@bugs.debian.org, 427646-done@bugs.debian.org, 490687-done@bugs.debian.org, 496011-done@bugs.debian.org, 478981-done@bugs.debian.org, 592882-done@bugs.debian.org, 428223-done@bugs.debian.org, 287791-done@bugs.debian.org, 488301-done@bugs.debian.org
Subject: Closing wontfix bugs
Date: Mon, 24 Feb 2014 11:57:50 +0100
Hello,

I am closing all these bugs because they have been tagged as wontfix for
a while
(for 10 years for some of them).

If you believe they should remain open, please reopen them.

Sylvestre




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 25 Mar 2014 07:25:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 20:04:08 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.